/**
 * DRV8835
 * 
 * (c)2020 Futoshi Sumikawa.
 */
#ifndef _DRV8835_H_
#define _DRV8835_H_

#include "mcc_generated_files/mcc.h"

extern void drvSetBalanceForward(int8_t balance);
extern void drvSetBalanceBack(int8_t balance);
extern void drvSetBalanceRight(int8_t balance);
extern void drvSetBalanceLeft(int8_t balance);

extern void drvCoastA(void);
extern void drvCoastB(void);
extern void drvReverseA(void);
extern void drvReverseB(void);
extern void drvForwardA(void);
extern void drvForwardB(void);
extern void drvBrekeA(void);
extern void drvBrekeB(void);

extern void drvForward(uint16_t dutyValue);
extern void drvBack(uint16_t dutyValue);
extern void drvRight(uint16_t dutyValue);
extern void drvLeft(uint16_t dutyValue);
extern void drvWait(void);

#endif
