/**
 * ST7032
 * 
 * (c)2020 Futoshi Sumikawa.
 */
#ifndef _ST7032_H_
#define _ST7032_H_

#include "mcc_generated_files/mcc.h"
#include "mcc_generated_files/examples/i2c1_master_example.h"

#define ST7032_ADDRESS 0x3E

extern void lcdClear(void);
extern void lcdSetCursor(uint8_t col, uint8_t row);
extern void lcdPutc(uint8_t c);
extern void lcdPuts(const char * s);
extern void lcdSetContrast(uint8_t contrast);
extern void lcdRegisterChar(uint8_t address, uint8_t * data);
extern void lcdBegin(void);

#endif
